Bug 51381

Summary: A lot of packages should own some directories more
Product: [Retired] Red Hat Linux Reporter: Enrico Scholz <rh-bugzilla>
Component: distributionAssignee: Bill Nottingham <notting>
Status: CLOSED DEFERRED QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
URL: http://www.tu-chemnitz.de/~ensc/rpmDirectoryCheck
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-03-01 20:42:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 50747    
Bug Blocks:    

Description Enrico Scholz 2001-08-09 22:00:50 UTC
A lot of packages are placing files into directories which are neither owned

- by themself nor
- by required packages (else the dir would exists already)


Usually this is not a big problem, but it creates ugly warnings while
installing a package and orphaned directories at upgrading. There are a lot
of bugreports with regard to this bug (e.g. bug #51166, #51161, #51165...)

I have checked my machine (mostly rawhide + some foreign packages) for such
packages. The result can be found at

  http://www.tu-chemnitz.de/~ensc/rpmDirectoryCheck/sample/all-rpms.html
There the "erroneous" packages are listed together with the directories
which they are occupying but not owning. 

The experimental rpm-directory checker
(http://www.tu-chemnitz.de/~ensc/rpmDirectoryCheck) was used to create this
page.


Well, to make it really usable, the packages should be grouped by their
maintainer, but I don't have any information about this relation. It should
be possible to send automated bugreports to Bugzilla, but this would be a
kind of spam ;)  (the example above would create more than 400 new bugs...)

If you are interested in the raw XML data, please drop me a note. 


I will see my plain-beta3 machine at weekend soonest, but there are only
limited resources and I have not an "everything" installation there. Thus I
will catch only a small subset of affected packages.

Comment 1 Enrico Scholz 2001-08-10 21:55:07 UTC
I have made an "everything" installation. The result is available at

http://www.tu-chemnitz.de/~ensc/dircheck/roswell/all-beta3-packages.html
There the packages are ordered in importance of errors:

1. Packages which are using directories owned by no other package (marked red)
2. Packages covered by bug #50676
3. Packages using directories which are not owned by themself or their 
   requirements. Indeed, other package(s) being not requirements, are owning
   it.

Packages of category 1 should be fixed in any case; these of number 2, if bug
#50676 is fixed.

Cat 3 bugs can be fixed easily by adding a 'Requires: XX' where package XX owns
the concerning directory.


At http://www-user.tu-chemnitz.de/~ensc/dircheck/roswell you will find the raw
XML data also.

Comment 2 Enrico Scholz 2001-08-10 21:57:32 UTC
Oops, wrong bug number at item 2. Bug #50747 is correct.

Comment 3 Bill Nottingham 2005-03-01 20:42:23 UTC
Closing bugs on older, no longer supported releases. Please reopen bugs against
individual packages where this still happens.